## Apache Zeta Components Manual :: Docs For Class ezcTemplateCustomFunction

### Template::ezcTemplateCustomFunction

### Interface ezcTemplateCustomFunction

Interface for classes which provides custom functions to the template engine.

The classes must implement this interface and then return a ezcTemplateCustomFunctionDefinition object from the method getCustomFunctionDefinition().

Source for this file: /Template/src/interfaces/custom_function.php

Version: | //autogen//

### Method Summary

public static ezcTemplateCustomFunctionDefinition | `getCustomFunctionDefinition( $name )` Return a ezcTemplateCustomFunctionDefinition for the given function $name.

### Methods

#### getCustomFunctionDefinition

static ezcTemplateCustomFunctionDefinition getCustomFunctionDefinition( string $name )

Return a ezcTemplateCustomFunctionDefinition for the given function $name.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string |

Documentation generated by phpDocumentor 1.4.3